Index: test/sasdataloader/test/utest_cansas.py
===================================================================
--- test/sasdataloader/test/utest_cansas.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ test/sasdataloader/test/utest_cansas.py	(revision 1fc50fb2f9e67f986acaa06fc7cbcba6b1edd00a)
@@ -46,5 +46,6 @@
         self.schema_1_0 = "cansas1d_v1_0.xsd"
         self.schema_1_1 = "cansas1d_v1_1.xsd"
-
+        self.write_1_0_filename = "isis_1_0_write_test.xml"
+        self.write_1_1_filename = "isis_1_1_write_test.xml"
 
     def get_number_of_entries(self, dictionary, name, i):
@@ -56,5 +57,4 @@
         return name
 
-
     def test_invalid_xml(self):
         """
@@ -62,6 +62,5 @@
         """
         invalid = StringIO.StringIO('<a><c></b></a>')
-        reader = XMLreader(invalid)
-
+        XMLreader(invalid)
 
     def test_xml_validate(self):
@@ -82,5 +81,4 @@
         self.assertFalse(xmlschema.validate(invalid))
 
-
     def test_real_xml(self):
         reader = XMLreader(self.xml_valid, self.schema_1_0)
@@ -90,5 +88,4 @@
         else:
             self.assertFalse(valid)
-
 
     def _check_data(self, data):
@@ -105,18 +102,13 @@
         self.assertTrue(data.meta_data["xmlpreprocess"] is not None)
 
-
     def _check_data_1_1(self, data):
         spectrum = data.trans_spectrum[0]
         self.assertTrue(len(spectrum.wavelength) == 138)
 
-
     def test_cansas_xml(self):
-        filename = "isis_1_1_write_test.xml"
         xmlreader = XMLreader(self.isis_1_1, self.schema_1_1)
         valid = xmlreader.validate_xml()
         xmlreader.set_processing_instructions()
         self.assertTrue(valid)
-        fo = open(self.isis_1_1)
-        str = fo.read()
         reader_generic = Loader()
         dataloader = reader_generic.load(self.isis_1_1)
@@ -128,12 +120,12 @@
             self._check_data(cansasreader[i])
             self._check_data_1_1(cansasreader[i])
-            reader_generic.save(filename, dataloader[i], None)
-            fo = open(filename)
-            str = fo.read()
+            reader_generic.save(self.write_1_1_filename, dataloader[i], None)
             reader2 = Loader()
-            return_data = reader2.load(filename)
+            self.assertTrue(os.path.isfile(self.write_1_1_filename))
+            return_data = reader2.load(self.write_1_1_filename)
             written_data = return_data[0]
             self._check_data(written_data)
-
+        if os.path.isfile(self.write_1_1_filename):
+            os.remove(self.write_1_1_filename)
 
     def test_double_trans_spectra(self):
@@ -144,5 +136,4 @@
         for item in data:
             self._check_data(item)
-
 
     def test_entry_name_recurse(self):
@@ -155,7 +146,5 @@
         self.assertTrue(len(d) == 6)
 
-
     def test_load_cansas_file(self):
-        valid = []
         reader1 = XMLreader(self.xml_valid, self.schema_1_0)
         self.assertTrue(reader1.validate_xml())
@@ -173,5 +162,4 @@
         self.assertFalse(reader7.validate_xml())
 
-
     def test_invalid_cansas(self):
         list = self.loader.load(self.cansas1d_notitle)
@@ -184,10 +172,9 @@
         self.assertTrue(data.detector[0].distance == 4150)
 
-
     def test_old_cansas_files(self):
         reader1 = XMLreader(self.cansas1d, self.schema_1_0)
         self.assertTrue(reader1.validate_xml())
         file_loader = Loader()
-        file1 = file_loader.load(self.cansas1d)
+        file_loader.load(self.cansas1d)
         reader2 = XMLreader(self.cansas1d_units, self.schema_1_0)
         self.assertTrue(reader2.validate_xml())
@@ -197,7 +184,5 @@
         self.assertTrue(reader4.validate_xml())
 
-
     def test_save_cansas_v1_0(self):
-        filename = "isis_1_0_write_test.xml"
         xmlreader = XMLreader(self.isis_1_0, self.schema_1_0)
         valid = xmlreader.validate_xml()
@@ -210,13 +195,15 @@
             self._check_data(dataloader[i])
             self._check_data(cansasreader[i])
-            reader_generic.save(filename, dataloader[i], None)
+            reader_generic.save(self.write_1_0_filename, dataloader[i], None)
             reader2 = Reader()
-            return_data = reader2.read(filename)
+            self.assertTrue(os.path.isfile(self.write_1_0_filename))
+            return_data = reader2.read(self.write_1_0_filename)
             written_data = return_data[0]
-            xmlwrite = XMLreader(filename, self.schema_1_0)
+            XMLreader(self.write_1_0_filename, self.schema_1_0)
             valid = xmlreader.validate_xml()
             self.assertTrue(valid)
             self._check_data(written_data)
-
+        if os.path.isfile(self.write_1_0_filename):
+            os.remove(self.write_1_0_filename)
 
     def test_processing_instructions(self):
@@ -224,5 +211,5 @@
         valid = reader.validate_xml()
         if valid:
-            ## find the processing instructions and make into a dictionary
+            # find the processing instructions and make into a dictionary
             dic = self.get_processing_instructions(reader)
             self.assertTrue(dic == {'xml-stylesheet': \
@@ -232,8 +219,7 @@
             xmldoc = minidom.parseString(xml)
 
-            ## take the processing instructions and put them back in
+            # take the processing instructions and put them back in
             xmldoc = self.set_processing_instructions(xmldoc, dic)
-            xml_output = xmldoc.toprettyxml()
-
+            xmldoc.toprettyxml()
 
     def set_processing_instructions(self, minidom_object, dic):
@@ -243,5 +229,4 @@
             minidom_object.insertBefore(pi, xmlroot)
         return minidom_object
-
 
     def get_processing_instructions(self, xml_reader_object):
Index: test/sasdataloader/test/utest_sesans.py
===================================================================
--- test/sasdataloader/test/utest_sesans.py	(revision a67c494cf1732add92a4fd2796ea7d12b3cd618a)
+++ test/sasdataloader/test/utest_sesans.py	(revision a67c494cf1732add92a4fd2796ea7d12b3cd618a)
@@ -0,0 +1,100 @@
+"""
+    Unit tests for the SESANS .ses reader
+"""
+
+import unittest
+from sas.sascalc.dataloader.readers.sesans_reader import Reader
+from sas.sascalc.dataloader.loader import  Loader
+
+class sesans_reader(unittest.TestCase):
+
+    def setUp(self):
+        reader = Reader()
+        self.loader = reader.read
+
+    def test_full_load(self):
+        """
+            Test .SES in the full loader to make sure that the file type is correctly accepted
+        """
+        f = Loader().load("sesans_examples/sphere2micron.ses")
+        # self.assertEqual(f, 5)
+        self.assertEqual(len(f.x), 40)
+        self.assertEqual(f.x[0], 391.56)
+        self.assertEqual(f.x[-1], 46099)
+        self.assertEqual(f.y[-1], -0.19956)
+        self.assertEqual(f.x_unit, "A")
+        self.assertEqual(f.y_unit, "A-2 cm-1")
+        self.assertEqual(f.sample.name, "Polystyrene 2 um in 53% H2O, 47% D2O")
+        self.assertEqual(f.sample.thickness, 0.2)
+        self.assertEqual(f.sample.zacceptance, (0.0168, "radians"))
+        self.assertEqual(f.isSesans, True)
+
+    def test_sesans_tof(self):
+        """
+            Test .SES loading on a TOF dataset
+        """
+        f = self.loader("sesans_examples/sphere_isis.ses")
+        self.assertEqual(len(f.x), 57)
+        self.assertEqual(f.x[-1], 19303.4)
+        self.assertEqual(f.source.wavelength[-1], 13.893668)
+        self.assertEqual(f.source.wavelength[0], 1.612452)
+        self.assertEqual(f.sample.yacceptance, (0.09, "radians"))
+        self.assertEqual(f.sample.zacceptance, (0.09, "radians"))
+        self.assertEqual(f.sample.thickness, 0.2)
+
+    def test_sesans_no_data(self):
+        """
+            Confirm that sesans files with no actual data won't load.
+        """
+        self.assertRaises(
+            RuntimeError,
+            self.loader,
+            "sesans_examples/sesans_no_data.ses")
+
+    def test_sesans_no_spin_echo_unit(self):
+        """
+            Confirm that sesans files with no units from the spin echo length raise an appropriate error
+        """
+        self.assertRaises(
+            RuntimeError,
+            self.loader,
+            "sesans_examples/no_spin_echo_unit.ses")
+
+    def test_sesans_no_version(self):
+        """
+            Confirm that sesans files with no file format version raise an appropriate error
+        """
+        self.assertRaises(
+            RuntimeError,
+            self.loader,
+            "sesans_examples/no_version.ses")
+
+    def test_sesans_future_version(self):
+        """
+            Confirm that sesans files that, according to semantic version, are from a future, backwards-incompatible version of the SES file format throw an exception.
+        """
+        self.assertRaises(
+            RuntimeError,
+            self.loader,
+            "sesans_examples/next_gen.ses")
+
+    def test_sesans_mandatory_headers(self):
+        """
+            Confirm that sesans files throw an exception if one of the mandator headers is missing.
+        """
+        self.assertRaises(
+            RuntimeError,
+            self.loader,
+            "sesans_examples/no_wavelength.ses")
+
+    def test_sesans_columns_match_headers(self):
+        """
+            Confirm that sesans files throw an exception if one of the mandator headers is missing.
+        """
+        self.assertRaises(
+            RuntimeError,
+            self.loader,
+            "sesans_examples/too_many_headers.ses")
+
+if __name__ == "__main__":
+    unittest.main()
Index: test/sasguiframe/test/utest_manipulations.py
===================================================================
--- test/sasguiframe/test/utest_manipulations.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ test/sasguiframe/test/utest_manipulations.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -2,21 +2,23 @@
     Unit tests for data manipulations
 """
-#TODO: what happens if you add a Data1D to a Data2D?
-
+# TODO: what happens if you add a Data1D to a Data2D?
+
+import math
+import os.path
 import unittest
-import math
+
 import numpy as np
-from sas.sascalc.dataloader.loader import  Loader
-from sas.sasgui.guiframe.dataFitting import Data1D, Data2D
-from sas.sasgui.guiframe.dataFitting import Data1D as Theory1D
- 
-import os.path
-
-class data_info_tests(unittest.TestCase):
-    
+
+from sas.sascalc.dataloader.loader import Loader
+from sas.sasgui.guiframe.dataFitting import Data1D
+from sas.sasgui.guiframe.dataFitting import Data2D
+
+
+class DataInfoTests(unittest.TestCase):
+
     def setUp(self):
         data = Loader().load("cansas1d.xml")
         self.data = data[0]
-        
+
     def test_clone1D(self):
         """
@@ -24,24 +26,27 @@
         """
         clone = self.data.clone_without_data()
-        
+
         for i in range(len(self.data.detector)):
-            self.assertEqual(self.data.detector[i].distance, clone.detector[i].distance)
-            
-class theory1d_tests(unittest.TestCase):
-    
+            self.assertEqual(
+                self.data.detector[i].distance, clone.detector[i].distance)
+
+
+class Theory1DTests(unittest.TestCase):
+
     def setUp(self):
         data = Loader().load("cansas1d.xml")
         self.data = data[0]
-        
+
     def test_clone_theory1D(self):
         """
             Test basic cloning
         """
-        theory = Theory1D(x=[], y=[], dy=None)
+        theory = Data1D(x=[], y=[], dy=None)
         theory.clone_without_data(clone=self.data)
         theory.copy_from_datainfo(data1d=self.data)
         for i in range(len(self.data.detector)):
-            self.assertEqual(self.data.detector[i].distance, theory.detector[i].distance)
-            
+            self.assertEqual(
+                self.data.detector[i].distance, theory.detector[i].distance)
+
         for i in range(len(self.data.x)):
             self.assertEqual(self.data.x[i], theory.x[i])
@@ -49,22 +54,22 @@
             self.assertEqual(self.data.dy[i], theory.dy[i])
 
-class manip_tests(unittest.TestCase):
-    
+
+class ManipTests(unittest.TestCase):
+
     def setUp(self):
         # Create two data sets to play with
         x_0 = np.ones(5)
         for i in range(5):
-            x_0[i] = x_0[i]*(i+1.0)
-            
-        y_0 = 2.0*np.ones(5)
-        dy_0 = 0.5*np.ones(5)
+            x_0[i] = x_0[i] * (i + 1.0)
+
+        y_0 = 2.0 * np.ones(5)
+        dy_0 = 0.5 * np.ones(5)
         self.data = Data1D(x_0, y_0, dy=dy_0)
-        
+
         x = self.data.x
         y = np.ones(5)
         dy = np.ones(5)
         self.data2 = Data1D(x, y, dy=dy)
-        
-        
+
     def test_load(self):
         """
@@ -73,99 +78,102 @@
         # There should be 5 entries in the file
         self.assertEqual(len(self.data.x), 5)
-        
+
         for i in range(5):
             # The x values should be from 1 to 5
-            self.assertEqual(self.data.x[i], float(i+1))
-        
+            self.assertEqual(self.data.x[i], float(i + 1))
+
             # All y-error values should be 0.5
-            self.assertEqual(self.data.dy[i], 0.5)    
-            
+            self.assertEqual(self.data.dy[i], 0.5)
+
             # All y values should be 2.0
-            self.assertEqual(self.data.y[i], 2.0)    
-        
+            self.assertEqual(self.data.y[i], 2.0)
+
     def test_add(self):
-        result = self.data2+self.data
+        result = self.data2 + self.data
         for i in range(5):
             self.assertEqual(result.y[i], 3.0)
-            self.assertEqual(result.dy[i], math.sqrt(0.5**2+1.0))
-        
+            self.assertEqual(result.dy[i], math.sqrt(0.5**2 + 1.0))
+
     def test_sub(self):
-        result = self.data2-self.data
+        result = self.data2 - self.data
         for i in range(5):
             self.assertEqual(result.y[i], -1.0)
-            self.assertEqual(result.dy[i], math.sqrt(0.5**2+1.0))
-        
+            self.assertEqual(result.dy[i], math.sqrt(0.5**2 + 1.0))
+
     def test_mul(self):
-        result = self.data2*self.data
+        result = self.data2 * self.data
         for i in range(5):
             self.assertEqual(result.y[i], 2.0)
-            self.assertEqual(result.dy[i], math.sqrt((0.5*1.0)**2+(1.0*2.0)**2))
-        
+            self.assertEqual(result.dy[i], math.sqrt(
+                (0.5 * 1.0)**2 + (1.0 * 2.0)**2))
+
     def test_div(self):
-        result = self.data2/self.data
+        result = self.data2 / self.data
         for i in range(5):
             self.assertEqual(result.y[i], 0.5)
-            self.assertEqual(result.dy[i], math.sqrt((1.0/2.0)**2+(0.5*1.0/4.0)**2))
-        
+            self.assertEqual(result.dy[i], math.sqrt(
+                (1.0 / 2.0)**2 + (0.5 * 1.0 / 4.0)**2))
+
     def test_radd(self):
-        result = self.data+3.0
+        result = self.data + 3.0
         for i in range(5):
             self.assertEqual(result.y[i], 5.0)
             self.assertEqual(result.dy[i], 0.5)
-            
-        result = 3.0+self.data
+
+        result = 3.0 + self.data
         for i in range(5):
             self.assertEqual(result.y[i], 5.0)
             self.assertEqual(result.dy[i], 0.5)
-            
+
     def test_rsub(self):
-        result = self.data-3.0
+        result = self.data - 3.0
         for i in range(5):
             self.assertEqual(result.y[i], -1.0)
             self.assertEqual(result.dy[i], 0.5)
-            
-        result = 3.0-self.data
+
+        result = 3.0 - self.data
         for i in range(5):
             self.assertEqual(result.y[i], 1.0)
             self.assertEqual(result.dy[i], 0.5)
-            
+
     def test_rmul(self):
-        result = self.data*3.0
+        result = self.data * 3.0
         for i in range(5):
             self.assertEqual(result.y[i], 6.0)
             self.assertEqual(result.dy[i], 1.5)
-            
-        result = 3.0*self.data
+
+        result = 3.0 * self.data
         for i in range(5):
             self.assertEqual(result.y[i], 6.0)
             self.assertEqual(result.dy[i], 1.5)
-            
+
     def test_rdiv(self):
-        result = self.data/4.0
+        result = self.data / 4.0
         for i in range(5):
             self.assertEqual(result.y[i], 0.5)
             self.assertEqual(result.dy[i], 0.125)
-            
-        result = 6.0/self.data
+
+        result = 6.0 / self.data
         for i in range(5):
             self.assertEqual(result.y[i], 3.0)
-            self.assertEqual(result.dy[i], 6.0*0.5/4.0)
-            
-class manip_2D(unittest.TestCase):
-    
+            self.assertEqual(result.dy[i], 6.0 * 0.5 / 4.0)
+
+
+class Manin2DTests(unittest.TestCase):
+
     def setUp(self):
         # Create two data sets to play with
-        x_0 = 2.0*np.ones(25)
-        dx_0 = 0.5*np.ones(25)
+        x_0 = 2.0 * np.ones(25)
+        dx_0 = 0.5 * np.ones(25)
         qx_0 = np.arange(25)
         qy_0 = np.arange(25)
         mask_0 = np.zeros(25)
-        dqx_0 = np.arange(25)/100
-        dqy_0 = np.arange(25)/100
+        dqx_0 = np.arange(25) / 100
+        dqy_0 = np.arange(25) / 100
         q_0 = np.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
-        self.data = Data2D(image=x_0, err_image=dx_0, qx_data=qx_0, 
-                           qy_data=qy_0, q_data=q_0, mask=mask_0, 
+        self.data = Data2D(image=x_0, err_image=dx_0, qx_data=qx_0,
+                           qy_data=qy_0, q_data=q_0, mask=mask_0,
                            dqx_data=dqx_0, dqy_data=dqy_0)
-        
+
         y = np.ones(25)
         dy = np.ones(25)
@@ -174,8 +182,7 @@
         mask = np.zeros(25)
         q = np.sqrt(qx * qx + qy * qy)
-        self.data2 = Data2D(image=y, err_image=dy, qx_data=qx, qy_data=qy, 
+        self.data2 = Data2D(image=y, err_image=dy, qx_data=qx, qy_data=qy,
                             q_data=q, mask=mask)
-        
-        
+
     def test_load(self):
         """
@@ -184,96 +191,99 @@
         # There should be 5 entries in the file
         self.assertEqual(np.size(self.data.data), 25)
-        
+
         for i in range(25):
             # All y-error values should be 0.5
-            self.assertEqual(self.data.err_data[i], 0.5)    
-            
+            self.assertEqual(self.data.err_data[i], 0.5)
+
             # All y values should be 2.0
-            self.assertEqual(self.data.data[i], 2.0)    
-        
+            self.assertEqual(self.data.data[i], 2.0)
+
     def test_add(self):
-        result = self.data2+self.data
+        result = self.data2 + self.data
         for i in range(25):
             self.assertEqual(result.data[i], 3.0)
-            self.assertEqual(result.err_data[i], math.sqrt(0.5**2+1.0))
-        
+            self.assertEqual(result.err_data[i], math.sqrt(0.5**2 + 1.0))
+
     def test_sub(self):
-        result = self.data2-self.data
-        for i in range(25):
-                self.assertEqual(result.data[i], -1.0)
-                self.assertEqual(result.err_data[i], math.sqrt(0.5**2+1.0))
-        
+        result = self.data2 - self.data
+        for i in range(25):
+            self.assertEqual(result.data[i], -1.0)
+            self.assertEqual(result.err_data[i], math.sqrt(0.5**2 + 1.0))
+
     def test_mul(self):
-        result = self.data2*self.data
+        result = self.data2 * self.data
         for i in range(25):
             self.assertEqual(result.data[i], 2.0)
-            self.assertEqual(result.err_data[i], math.sqrt((0.5*1.0)**2+(1.0*2.0)**2))
-        
+            self.assertEqual(result.err_data[i], math.sqrt(
+                (0.5 * 1.0)**2 + (1.0 * 2.0)**2))
+
     def test_div(self):
-        result = self.data2/self.data
+        result = self.data2 / self.data
         for i in range(25):
             self.assertEqual(result.data[i], 0.5)
-            self.assertEqual(result.err_data[i], math.sqrt((1.0/2.0)**2+(0.5*1.0/4.0)**2))
-        
+            self.assertEqual(result.err_data[i], math.sqrt(
+                (1.0 / 2.0)**2 + (0.5 * 1.0 / 4.0)**2))
+
     def test_radd(self):
-        result = self.data+3.0
+        result = self.data + 3.0
         for i in range(25):
             self.assertEqual(result.data[i], 5.0)
             self.assertEqual(result.err_data[i], 0.5)
-   
-        result = 3.0+self.data
+
+        result = 3.0 + self.data
         for i in range(25):
             self.assertEqual(result.data[i], 5.0)
             self.assertEqual(result.err_data[i], 0.5)
-            
+
     def test_rsub(self):
-        result = self.data-3.0
+        result = self.data - 3.0
         for i in range(25):
             self.assertEqual(result.data[i], -1.0)
             self.assertEqual(result.err_data[i], 0.5)
-    
-        result = 3.0-self.data
+
+        result = 3.0 - self.data
         for i in range(25):
             self.assertEqual(result.data[i], 1.0)
             self.assertEqual(result.err_data[i], 0.5)
-            
+
     def test_rmul(self):
-        result = self.data*3.0
+        result = self.data * 3.0
         for i in range(25):
             self.assertEqual(result.data[i], 6.0)
             self.assertEqual(result.err_data[i], 1.5)
- 
-        result = 3.0*self.data
+
+        result = 3.0 * self.data
         for i in range(25):
             self.assertEqual(result.data[i], 6.0)
             self.assertEqual(result.err_data[i], 1.5)
-            
+
     def test_rdiv(self):
-        result = self.data/4.0
+        result = self.data / 4.0
         for i in range(25):
             self.assertEqual(result.data[i], 0.5)
             self.assertEqual(result.err_data[i], 0.125)
 
-        result = 6.0/self.data
+        result = 6.0 / self.data
         for i in range(25):
             self.assertEqual(result.data[i], 3.0)
-            self.assertEqual(result.err_data[i], 6.0*0.5/4.0)
-    
-class extra_manip_2D(unittest.TestCase):
-    
+            self.assertEqual(result.err_data[i], 6.0 * 0.5 / 4.0)
+
+
+class ExtraManip2DTests(unittest.TestCase):
+
     def setUp(self):
         # Create two data sets to play with
-        x_0 = 2.0*np.ones(25)
-        dx_0 = 0.5*np.ones(25)
+        x_0 = 2.0 * np.ones(25)
+        dx_0 = 0.5 * np.ones(25)
         qx_0 = np.arange(25)
         qy_0 = np.arange(25)
         mask_0 = np.zeros(25)
-        dqx_0 = np.arange(25)/100
-        dqy_0 = np.arange(25)/100
+        dqx_0 = np.arange(25) / 100
+        dqy_0 = np.arange(25) / 100
         q_0 = np.sqrt(qx_0 * qx_0 + qy_0 * qy_0)
-        self.data = Data2D(image=x_0, err_image=dx_0, qx_data=qx_0, 
-                           qy_data=qy_0, q_data=q_0, mask=mask_0, 
+        self.data = Data2D(image=x_0, err_image=dx_0, qx_data=qx_0,
+                           qy_data=qy_0, q_data=q_0, mask=mask_0,
                            dqx_data=dqx_0, dqy_data=dqy_0)
-        
+
         y = np.ones(25)
         dy = np.ones(25)
@@ -282,8 +292,7 @@
         mask = np.zeros(25)
         q = np.sqrt(qx * qx + qy * qy)
-        self.data2 = Data2D(image=y, err_image=dy, qx_data=qx, qy_data=qy, 
+        self.data2 = Data2D(image=y, err_image=dy, qx_data=qx, qy_data=qy,
                             q_data=q, mask=mask)
-        
-        
+
     def test_load(self):
         """
@@ -292,81 +301,83 @@
         # There should be 5 entries in the file
         self.assertEqual(np.size(self.data.data), 25)
-        
+
         for i in range(25):
             # All y-error values should be 0.5
-            self.assertEqual(self.data.err_data[i], 0.5)    
-            
+            self.assertEqual(self.data.err_data[i], 0.5)
+
             # All y values should be 2.0
-            self.assertEqual(self.data.data[i], 2.0)    
-        
+            self.assertEqual(self.data.data[i], 2.0)
+
     def test_add(self):
-        result = self.data2+self.data
+        result = self.data2 + self.data
         for i in range(25):
             self.assertEqual(result.data[i], 3.0)
-            self.assertEqual(result.err_data[i], math.sqrt(0.5**2+1.0))
-        
+            self.assertEqual(result.err_data[i], math.sqrt(0.5**2 + 1.0))
+
     def test_sub(self):
-        result = self.data2-self.data
-        for i in range(25):
-                self.assertEqual(result.data[i], -1.0)
-                self.assertEqual(result.err_data[i], math.sqrt(0.5**2+1.0))
-        
+        result = self.data2 - self.data
+        for i in range(25):
+            self.assertEqual(result.data[i], -1.0)
+            self.assertEqual(result.err_data[i], math.sqrt(0.5**2 + 1.0))
+
     def test_mul(self):
-        result = self.data2*self.data
+        result = self.data2 * self.data
         for i in range(25):
             self.assertEqual(result.data[i], 2.0)
-            self.assertEqual(result.err_data[i], math.sqrt((0.5*1.0)**2+(1.0*2.0)**2))
-        
+            self.assertEqual(result.err_data[i], math.sqrt(
+                (0.5 * 1.0)**2 + (1.0 * 2.0)**2))
+
     def test_div(self):
-        result = self.data2/self.data
+        result = self.data2 / self.data
         for i in range(25):
             self.assertEqual(result.data[i], 0.5)
-            self.assertEqual(result.err_data[i], math.sqrt((1.0/2.0)**2+(0.5*1.0/4.0)**2))
-        
+            self.assertEqual(result.err_data[i], math.sqrt(
+                (1.0 / 2.0)**2 + (0.5 * 1.0 / 4.0)**2))
+
     def test_radd(self):
-        result = self.data+3.0
+        result = self.data + 3.0
         for i in range(25):
             self.assertEqual(result.data[i], 5.0)
             self.assertEqual(result.err_data[i], 0.5)
-   
-        result = 3.0+self.data
+
+        result = 3.0 + self.data
         for i in range(25):
             self.assertEqual(result.data[i], 5.0)
             self.assertEqual(result.err_data[i], 0.5)
-            
+
     def test_rsub(self):
-        result = self.data-3.0
+        result = self.data - 3.0
         for i in range(25):
             self.assertEqual(result.data[i], -1.0)
             self.assertEqual(result.err_data[i], 0.5)
-    
-        result = 3.0-self.data
+
+        result = 3.0 - self.data
         for i in range(25):
             self.assertEqual(result.data[i], 1.0)
             self.assertEqual(result.err_data[i], 0.5)
-            
+
     def test_rmul(self):
-        result = self.data*3.0
+        result = self.data * 3.0
         for i in range(25):
             self.assertEqual(result.data[i], 6.0)
             self.assertEqual(result.err_data[i], 1.5)
- 
-        result = 3.0*self.data
+
+        result = 3.0 * self.data
         for i in range(25):
             self.assertEqual(result.data[i], 6.0)
             self.assertEqual(result.err_data[i], 1.5)
-            
+
     def test_rdiv(self):
-        result = self.data/4.0
+        result = self.data / 4.0
         for i in range(25):
             self.assertEqual(result.data[i], 0.5)
             self.assertEqual(result.err_data[i], 0.125)
 
-        result = 6.0/self.data
+        result = 6.0 / self.data
         for i in range(25):
             self.assertEqual(result.data[i], 3.0)
-            self.assertEqual(result.err_data[i], 6.0*0.5/4.0)
+            self.assertEqual(result.err_data[i], 6.0 * 0.5 / 4.0)
+
 
 if __name__ == '__main__':
     unittest.main()
-   
Index: test/sasrealspace/test/early_test.py
===================================================================
--- test/sasrealspace/test/early_test.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ test/sasrealspace/test/early_test.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
@@ -1,2 +1,3 @@
+from __future__ import print_function
 
 import VolumeCanvas
@@ -30,16 +31,16 @@
         t_0 = time.time()
         value_1 = 1.0e8*canvas.getIq(0.1)
-        print "density = 0.1:  output=%g  time=%g" % (value_1, time.time()-t_0)
+        print("density = 0.1:  output=%g  time=%g" % (value_1, time.time()-t_0))
         
         t_0 = time.time()
         canvas.setParam('lores_density', 1)
         value_1 = 1.0e8*canvas.getIq(0.1)
-        print "density = 1000:  output=%g  time=%g" % (value_1, time.time()-t_0)
+        print("density = 1000:  output=%g  time=%g" % (value_1, time.time()-t_0))
         
         t_0 = time.time()
         canvas.setParam('lores_density', 0.01)
         value_1 = 1.0e8*canvas.getIq(0.1)
-        print "density = 0.00001:  output=%g  time=%g" % (value_1, time.time()-t_0)
-        print
+        print("density = 0.00001:  output=%g  time=%g" % (value_1, time.time()-t_0))
+        print()
     
     
@@ -63,5 +64,5 @@
         #ana_1 = form_factor(q, radius)
         
-        print "q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1)
+        print("q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1))
     
 def test_2():
@@ -73,5 +74,5 @@
     shell_vol = 4.0/3.0*math.pi*outer_radius*outer_radius*outer_radius - core_vol
     shell_sld = -1.0*core_vol/shell_vol
-    print "Shell SLD", shell_sld
+    print("Shell SLD", shell_sld)
 
     
@@ -126,5 +127,5 @@
         ana_1 = sphere.run(q)
         
-        print "q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1)
+        print("q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1))
         out.write( "%g  %g  %g\n" % (q, sim_1, ana_1))
 
@@ -168,5 +169,5 @@
         #ana_1 = form_factor(q, radius)
         
-        print "q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1)
+        print("q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1))
 
 def test_5():
@@ -193,5 +194,5 @@
     ana = ana.runXY([0.1, 0.1])
     sim = model.getIq2D(0.1, 0.1)
-    print ana, sim, sim/ana, ana/sim
+    print(ana, sim, sim/ana, ana/sim)
 
 def test_6():
@@ -232,5 +233,5 @@
     
     
-    print model.npts
+    print(model.npts)
     for i in range(40):
         qmax = 0.5
@@ -240,9 +241,9 @@
         anaY = ana.runXY([0, qmax*i/40.0])
         simY = model.getIq2D(0, qmax*i/40.0)
-        print anaX, simX, simX/anaX, '|', anaY, simY, simY/anaY
+        print(anaX, simX, simX/anaX, '|', anaY, simY, simY/anaY)
     
 def test_7():
     from sas.models.CoreShellModel import CoreShellModel
-    print "Testing core-shell"
+    print("Testing core-shell")
     radius = 15
     thickness = 5
@@ -287,5 +288,5 @@
         ana_val = ana.runXY([q, 0.2])
         sim_val, err = canvas.getIq2DError(q, 0.2)
-        print ana_val, sim_val, sim_val/ana_val, err, (sim_val-ana_val)/err
+        print(ana_val, sim_val, sim_val/ana_val, err, (sim_val-ana_val)/err)
     
     
